HomeGuidesAPI ReferenceChangelog
Terms of Use
API Reference

EVSE / Start Charging with EVSE ID

Start a charging session

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The unique EVSE ID — the integer shown as ID in the admin UI. Not the ID (QR code), network ID, or EMI3 EVSE ID.

Body Params

Start session request body

integer
string | null

The ID of the payment method, as returned by the payment method listing (User / Payment Method / Listing). When left empty or null, it would be determined by the system - either "balance" or "subscription" (in case the the user has an active post-paid subscription for home charging sessions and the charge point is a home charger). When it is NOT empty or null, userId is required.

string | null
deprecated

Deprecated: This field will be removed in version 2.0. Use idTag parameter instead.

Migration: Replace all occurrences of externalSessionId with idTag in your start session requests.
The idTag parameter serves the same purpose and stores the value in the session's idTag field.

Backward compatibility: When both externalSessionId and idTag are provided, idTag takes precedence.

string

Optional identifier tag for the charging session (e.g., RFID UID, authorization token).
This value will be stored in the session's idTag field and can be used for filtering sessions.

integer | null
integer | null

The ID of the booking to link the session to. Returns a 422 error if the booking does not exist or if its status is not Accepted or Reserved.

stopConditions
object | null

Optional session stop conditions. When set, the session will automatically stop when any of the specified limits is reached.

chargingProfile
object

the smart charging profile to apply. See the OCPP documentation for further explanation on the fields

Responses

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json